#ifndef _renderPassTesselation

#define _renderPassTesselation


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include "../mesh.h"

#include "../program.h"

#include "../fontRenderer.h"

#include "int.h"

#include "../shader.h"

#include "../vector2.h"

#include "../event.h"

#include "renderPass.h"


typedef struct tesselation{

	struct program * program;

	struct mesh * mesh;

	fontRenderer * font;

	sampler2D * samplerArray;


} tesselation;

char * tesselation_textFromNumber( tesselation * this, int i );

void tesselation_prepare( tesselation * this );

void tesselation_render( tesselation * this );

tesselation tesselation_new(  );

tesselation * tesselation_newPointer(  );

#endif


typedef struct tesselation tesselation;



